@import url('responsive.css');

@font-face {
    font-family: 'Knewave';
    src: url('../assets/fonts/Knewave-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Luckiest Guy';
    src: url('../assets/fonts/LuckiestGuy-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Metal Mania';
    src: url('../assets/fonts/MetalMania-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

/* // | GLOBAL */

body,
html {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    overflow-x: hidden;
    scroll-behavior: smooth;
    /* font-family: 'Comic Sans MS', cursive; */
}

a {
    text-decoration: none;
    color: inherit;
}

hr {
    margin: 25px 0;
    color: #29b2e4;
    border-color: #29b2e4;
    background-color: #29b2e4;
}

.no-scroll {
    overflow: hidden;
}

.section {
    position: relative;
    padding: 20px 10%;
    font-size: 28px;
}

.stylized-title {
    font-family: 'Luckiest Guy', cursive;
    font-size: 50px;
    color: #ffffff;
    -webkit-text-stroke: 3px #ff4545;
    text-stroke: 3px #ff4545;
    text-transform: uppercase;
    text-align: center;
    display: inline-block;
    text-shadow: 7px 8px 11px rgba(0, 0, 0, 0.4);
    margin: 40px 0;
}

.stylized-title::before {
    content: "";
    position: absolute;
    top: -5px;
    left: -5px;
    right: -5px;
    bottom: -5px;
    background-color: rgb(173, 0, 0);
    z-index: -1;
    border-radius: 15px;
}

.doc-martin-title {
    font-family: "Knewave", system-ui;
    font-weight: 400;
    font-style: normal;
    font-size: 150px;
    text-transform: uppercase;
    text-align: center;
    display: inline-block;
    text-shadow: 7px 8px 11px rgba(0, 0, 0, 0.4);
}

.red-texte {
    background: #ff4545;
    padding: 2px 5px;
    display: inline-block;
    line-height: normal;
    margin: 5px 0;
    color: white;
    font-family: 'Metal Mania', cursive;
    font-size: 30px;
    text-shadow: 2px 2px 0 black;
    border: 2px solid black;
}

.blue-texte {
    background: #29b2e4;
    padding: 2px 5px;
    display: inline-block;
    line-height: normal;
    margin: 5px 0;
    color: white;
    font-family: 'Metal Mania', cursive;
    font-size: 30px;
    text-shadow: 2px 2px 0 black;
    border: 2px solid black;
}

.youtube-link:hover {
    color: red;
}


/* // | HOME */

.hero {
    position: relative;
    height: 100vh;
    overflow: hidden;
    background-position: center center;
    will-change: transform;
}

.background-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
    transform: translateY(0);
    /* Initialement à 0 */
    transition: transform 0.1s ease-out;
    will-change: transform;
}

.hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    z-index: 1;
}

.hero-text {
    text-shadow: 2px 2px 0 black;
    position: relative;
    z-index: 2;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: white;
    font-size: 40px;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: 'Metal Mania', cursive;
}

@keyframes pop {
    0% {
        transform: scale(0.5);
        opacity: 0;
    }

    50% {
        transform: scale(1.8);
        opacity: 1;
    }

    100% {
        transform: scale(1);
    }
}

.logo {
    height: 300px;
    animation: pop 0.8s ease-out;
}

.button-discover {
    margin: 50px;
    padding: 20px 40px;
    background-color: transparent;
    border: 3px solid white;
    border-radius: 40px;
    display: block;
    width: auto;
    color: white;
    text-decoration: none;
    font-weight: 200;
    font-size: 25px;
    transition: all 0.3s ease-in-out;
    display: flex;
    gap: 20px;
}

.button-discover:hover {
    /* background-color: white;
    color: #ff4545; */
    transform: scale(1.1);
    box-shadow: 0 0 15px rgba(255, 255, 255, 0.8);
}

#discover-button {
    font-size: 25px;
    margin-top: 50px;
}

.fa-chevron-down {
    font-size: 20px;
    margin-left: 10px;
    animation: bounce 1s infinite;
}

/* // | ABOUT */

#about {
    background-color: #29B2E4;
    padding-bottom: 125px;
}

#about h2 {
    margin-bottom: 0;
    margin-top: 75px;
}

#about h3 {
    font-size: 50px;
    padding: 20px 0;
    font-family: 'Metal Mania', cursive;
    color: red;
    -webkit-text-stroke: 1px black;
    text-stroke: 1px black;
}

#about::after {
    content: "";
    position: absolute;
    bottom: -20px;
    /* Position en bas de la section */
    left: 0;
    width: 100%;
    height: 40px;
    background: url('../assets/svg/zigzag-yellow.svg') repeat-x;
    /* Image SVG en zigzag */
    background-size: contain;
    z-index: 1;
}

#about>ul {
    font-size: 3vh;
    font-family: 'Metal Mania';
}

#about #about-group {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 100px;
    flex-direction: row;
    position: relative;
    margin: 100px 0;
}

#about #about-group #about-group-text h3 {
    margin: 0;
    padding: 0;
}

#about #about-group #about-group-image {
    background: #000;
    transform: rotate(3deg);
    box-shadow: 17px 11px 20px 4px rgba(0, 0, 0, 0.5);
    transition: all 1s ease-out;
}

#about #about-group #about-group-image img {
    transform: rotate(3deg);
    transition: all 1s ease-out;
    border: 6px solid #000;
    border-radius: 5px;
}

#about #about-group #about-group-image:hover {
    box-shadow: 25px 18px 30px 6px rgba(0, 0, 0, 0.7);
}

.albums {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 50px;
    width: 100%;
    align-items: start;
    padding: 0;
    box-sizing: border-box;
}

.album-flip {
    perspective: 1200px;
    width: 100%;
    aspect-ratio: 1 / 1;
    /* carré adaptable */
    position: relative;
}

.album-front,
.album-back {
    position: absolute;
    inset: 0;
    backface-visibility: hidden;
    border-radius: 5px;
    overflow: hidden;
    transition: transform 0.7s cubic-bezier(.4, 2, .3, .7);
    border: 2px solid black;
}

.album-front {
    z-index: 2;
    transform: rotateY(0deg);
}

.album-back {
    z-index: 1;
    transform: rotateY(180deg);
}

.album-flip:hover .album-front {
    transform: rotateY(-180deg);
}

.album-flip:hover .album-back {
    transform: rotateY(0deg);
}

.album img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    display: block;
    transition: transform 0.3s ease-in-out;
}

.album p {
    font-family: 'Metal Mania', cursive;
    font-size: 20px;
    background: black;
    padding: 5px 12px;
    border-radius: 5px;
    color: white;
}

.album:hover img {
    transform: scale(1.05);
    box-shadow: 0 0 15px rgba(255, 255, 255, 0.8);
}

.souris-container {
    position: relative;
    height: 0;
}

.souris {
    height: 40vh;
    position: absolute;
    right: -112px;
    top: -340px;
    z-index: 2;
}

.music-player {
    padding: 30px;
    display: flex;
    flex-direction: row;
    align-items: baseline;
    justify-content: center;
    flex-grow: 1;
    margin-bottom: 150px;
    flex: 1;
    margin: 150px 0;
}

.music-player img {
    width: 300px;
}

.music-player .player {
    position: relative;
    background: url('../assets/images/dvdplayer.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    height: 280px;
}

.music-player .timer {
    color: #f08816;
    font-family: 'FontAwesome';
    position: absolute;
left: 485px;
    top: 58px;
    font-size: 30px;
}

#music-player-tv,
#music-player-dvd-player-and-shell {
    flex-grow: 1;
}

#music-player-tv {
    padding: 0 400px;
    position: relative;
    left: 106px;
    transform: scale(.65);
    top: -15px;
}

.music-player .cd {
    justify-content: center;
    display: flex;
    align-items: center;
    padding-bottom: 15px;
}

.music-player .songs-list {
    flex: 2;
}

.music-player .player {
    flex: 5;
}

.music-player .cd-image {
    width: 280px;
    height: 280px;
    animation: spin 3s linear infinite;
}

.music-player .cd-image.paused {
    animation-play-state: paused;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

#playlist {
    list-style: none;
    padding: 0;
    margin: 10px 0 0 0;
    display: none;
}

#playlist li {
    cursor: pointer;
    padding: 6px 8px;
    border-radius: 6px;
    background: #ff4545;
    color: #fff;
    margin-bottom: 6px;
}

#playlist li.active {
    background: #ff4545;
    font-weight: 700;
}

.time-row {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-top: 8px;
    color: black;
    font-weight: 700;
    color: #ff6a00;
    font-family: 'Courier New', Courier, monospace;
}

.time-row span {
    width: 55px;
    text-align: center;
    color: #ff6a00;
    font-family: 'Courier New', Courier, monospace;
}

/* zone clicable */
.progress-container {
    flex: 1;
    display: flex;
    align-items: center;
    height: 18px;
    padding: 6px 0;
     left: 172px;
    top: 124px;
    width: 465px;
    position: absolute;
}

/* track */
.progress-bar {
    position: relative;
    width: 100%;
    height: 8px;
    background: rgba(255, 255, 255, 0.9);
    border: 3px solid #000;
    border-radius: 999px;
    overflow: visible;
    box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.3);
}

/* filled portion */
.progress-filled {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 0%;
    background: #ff4545;
    border-radius: 999px;
    transition: width 0.06s linear;
}

/* thumb */
.progress-thumb {
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    left: 0%;
    width: 18px;
    height: 18px;
    background: #ff4545;
    border: 3px solid #000;
    border-radius: 50%;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.4);
    touch-action: none;
    /* pour pointer events */
    transition: transform 0.08s ease;
    cursor: pointer;
}

.progress-thumb:active {
    transform: translate(-50%, -50%) scale(1.06);
}

/* accessibilité focus */
.progress-container:focus .progress-thumb,
.progress-thumb:focus {
    outline: none;
    box-shadow: 0 0 0 6px rgba(242, 111, 108, 0.12);
}

.player .player-controls {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    margin-top: 10px;
}


.player button {
    background: #f4c77a;
    border: 5px solid black;
    font-size: 32px;
    margin: 0 5px;
    border-radius: 12px;
    width: 100px;
    height: 72px;
    cursor: pointer;
    transition: transform 0.1s;
    position: absolute;
    box-shadow: 0 5px black;
}

.player button:hover {
    transform: scale(1.05);
}


.hip {
    position: relative;
    /* Ajouté pour que les enfants en absolute se basent sur cette div */
    display: flex;
    justify-content: center;
}

.hip img {
    height: 25vh;
    position: absolute;
    top: -50px;
    z-index: 2;
}

/* // | ARTIST */

#artists {
    background-color: #FDF073;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.artists-list {
    background-color: #FDF073;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 200px;
    padding-bottom: 100px;
}

#artists::before {
    content: "";
    position: absolute;
    bottom: -20px;
    left: 0;
    width: 100%;
    height: 40px;
    background: url('../assets/svg/zigzag-yellow-rotated.svg') repeat-x;
    background-size: contain;
    z-index: 1;
}

/* #artists::after {
    content: "";
    position: absolute;
    bottom: -20px;
    left: 0;
    width: 100%;
    height: 40px;
    background: url('../assets/svg/zigzag-red.svg') repeat-x;
    background-size: contain;
    z-index: 1;
} */

#artists>h2 {
    font-size: 80px;
    padding: 40px 15%;
    font-family: 'Metal Mania', cursive;
    margin-top: 15vh;
    text-align: center;
}

/* .artist {
    display: flex;
    grid-template-columns: 1fr 2fr 1fr;
    align-items: center;
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.6s ease, transform 0.6s ease;
    color: white;
} */

.artist {
    transition: transform 0.6s ease, opacity 0.6s ease;
    width: 100%;
    display: flex;
    padding: 0 15%;
    position: relative;
}

.artist-info {
    align-self: start;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    color: white;
    position: relative;
    transform: translateY(0);
    transition: transform 0.8s ease-out;
    will-change: transform;
    margin: 0 25px;
}

.artist-image {
    text-align: center;
    position: relative;
    transform: translateY(0);
    transition: transform 0.8s ease-out;
    will-change: transform;
    /* overflow: hidden; */
}

.artist-image:hover {
    transform: scale(1.05);
    /* Zoom à 110% */
}

.artist-image img {
    box-shadow: 15px 15px 25px rgba(0, 0, 0, .5);
    width: 600px;
    height: 800px;
    object-fit: cover;
    display: block;
    border: 3px solid black;
}

/* .artist::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(253, 240, 115, 0.7);
    /* z-index: 1; 
} */

.artist {
    background-blend-mode: overlay;
    background-color: rgba(253, 240, 115, 0.99);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    backdrop-filter: blur(50px);
    background-attachment: scroll;
}

.artist:hover {
    transform: scale(1.01);
    /* Zoom à 110% */
}

.artist:nth-child(1) .artist-image {
    top: 350px;
}

.artist:nth-child(1) .artist-info {
    top: -350px;
}

.artist:nth-child(1) {
    background-image: url('../assets/images/m1b.png');
}

.artist:nth-child(2) .artist-image {
    top: 350px;
}

.artist:nth-child(2) .artist-info {
    top: -450px;
}

.artist:nth-child(2) {
    background-image: url('../assets/images/m2b.png');
}

.artist:nth-child(3) .artist-image {
    top: 500px;
}

.artist:nth-child(3) .artist-info {
    top: -600px;
}

.artist:nth-child(3) {
    background-image: url('../assets/images/m3b.png');
}

.artist:nth-child(4) .artist-image {
    top: 600px;
}

.artist:nth-child(4) .artist-info {
    top: -600px;
}

.artist:nth-child(4) {
    background-image: url('../assets/images/m4b.png');
}

.artist:nth-child(5) .artist-image {
    top: 700px;
}

.artist:nth-child(5) .artist-info {
    top: -700px;
}

.artist:nth-child(5) {
    background-image: url('../assets/images/m5b.png');
}

.artist-info span {
    font-size: 100px;
    font-weight: bold;
    font-family: 'Metal Mania', cursive;
    padding: 0;
    margin-left: 60px;
    color: red;
    -webkit-text-stroke: 1px black;
    text-stroke: 1px black;
    font-style: italic;
}

.artist-info b {
    font-size: 40px;
}

.description {
    color: black;
    margin: 0 0 10px;
    padding: 35px 60px;
    font-size: 35px;
    font-weight: 600;
    transition: transform 0.8s ease-in-out;
    text-align: left;
    font-family: monospace;
}

.artist-name {
    display: flex;
    justify-content: space-between;
    font-weight: 600;
}

.instrument {
    display: none;
    /* transition: transform 0.6s ease-in-out;
    height: 35vh;
    object-fit: contain;
    position: absolute;
    left: 0;
    top: 0; */
}

/* // | MEDIAS */

#medias {
    padding: 0 !important;
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #000;
    padding-bottom: 100px !important;
}

.medias-header {
    display: flex;
    justify-content: center;
    align-items: center;
    width: inherit;
}

.medias-header img {
    height: 100px;
}

#medias-logo {
    height: 150px;
    top: 50px;
    position: absolute;
    left: 0;
}

#medias-logo-r {
    height: 150px;
    top: 50px;
    position: absolute;
    right: 0;
}

#medias h2 {
    font-size: 80px;
    padding: 40px 15%;
    font-family: 'Metal Mania', cursive;
    color: white;
}

.video-carousel {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#video-player {
    width: 65vw;
    height: calc(65vw * 9 / 16);
    background-color: #000;
    border: none;
    box-shadow: 0 0 230px 100px rgb(59 0 0 / 70%);
    animation: shadow-pulse 2s infinite ease-in-out;
    border-radius: 5px;
}

@keyframes shadow-pulse {
    0% {
        box-shadow: 0 0 230px 100px rgb(59 0 0 / 70%);
    }

    50% {
        box-shadow: 0 0 260px 120px rgb(59 0 0 / 90%);
    }

    100% {
        box-shadow: 0 0 230px 100px rgb(59 0 0 / 70%);
    }
}

.carousel-controls {
    bottom: 10%;
    width: 65vw;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 50px;
}

.carousel-controls .thumbnails {
    display: flex;
    gap: 10px;
    overflow-x: auto;
    padding: 10px;
}

.carousel-controls .thumbnails img {
    width: 80px;
    height: 60px;
    object-fit: cover;
    cursor: pointer;
    transition: 0.3s, opacity 0.3s;
    border: 2px solid transparent;
    border-radius: 5px;
    opacity: 0.8;
}

.carousel-controls .thumbnails img:hover {
    transform: scale(1.1);
    opacity: 1;
    border-color: #ff4545;
}

.carousel-controls .thumbnails img.active {
    border-color: #ff4545;
    opacity: 1;
}

.carousel-controls button {
    background: transparent;
    color: white;
    border: none;
    font-size: 24px;
    padding: 10px;
    cursor: pointer;
    border-radius: 50px;
    transition: 0.3s;
}

.carousel-controls button:hover {
    transform: scale(1.2);
}

.video-description {
    align-self: end;
    color: white;
    padding: 50px 0;
    align-self: center;
    padding-top: 75px;
    text-align: center;
    display: flex;
    flex-direction: column;
}

.video-description span {
    font-size: 15px;
}

.video-description .youtube-link {
    margin-top: 15px;
    font-size: 20px;
    font-weight: bold;
    transition: color 0.3s;
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

.video-description .youtube-link i {
    font-size: 17px;
}

.video-title {
    display: none;
}



/* Style pour le conteneur */
.rec-container {
    position: absolute;
    right: calc(((100vw - 65vw) / 2) + 5px);
    top: 325px;
    display: flex;
    align-items: center;
    font-family: Arial, sans-serif;
    font-size: 26px;
    font-weight: bold;
    color: red;
    z-index: 5;
}

/* Style pour le texte "REC" */
.rec-text {
    margin-right: 10px;
    text-transform: uppercase;
    letter-spacing: 2px;
}

/* Style pour le rond rouge clignotant */
.rec-dot {
    width: 25px;
    height: 25px;
    background-color: red;
    border-radius: 50%;
    animation: blink 1s infinite;
}

/* Animation pour le clignotement */
@keyframes blink {

    0%,
    100% {
        opacity: 1;
    }

    50% {
        opacity: 0;
    }
}


/* // | CONTACT */

#contact {
    background-color: #ff4545;
    padding: 8vh 0%;
    display: flex;
    justify-content: center;
}

.contact-container {
    flex-grow: 1;
    max-width: 1260px;
}

#contact h2 {
    margin-bottom: 0 !important;
}

#contact p {
    font-size: 3vh;
    color: white;
    font-family: 'Metal Mania', cursive;
    margin: 50px 0;
}

#contact::after {
    content: "";
    position: absolute;
    top: -20px;
    left: 0;
    width: 100%;
    height: 40px;
    background: url('../assets/svg/zigzag-red.svg') repeat-x;
    background-size: contain;
    z-index: 1;
}

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: auto;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 10px;
    font-size: 16px;
    border: 2px solid #000;
    border-radius: 5px;
    font-family: Arial, sans-serif;
    transition: all 0.3s ease-in-out;
    background: #fff;
    color: #000;
    width: auto;
    box-shadow: 10px 10px 0 rgba(0, 0, 0, 1);
}

.contact-form input::placeholder,
.contact-form textarea::placeholder {
    color: #000;
}

.contact-form input:focus,
.contact-form textarea:focus {
    outline: none;
    box-shadow: none;
}

.contact-form input:hover,
.contact-form textarea:hover {
    outline: none;
    box-shadow: none;
}

.contact-form textarea {
    height: 10em;
    resize: none;
    overflow-y: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.contact-form textarea::-webkit-scrollbar {
    display: none;
}

.button-56 {
    align-items: center;
    position: relative;
    background-color: #e7d000;
    border: 2px solid #111;
    border-radius: 8px;
    box-sizing: border-box;
    color: #111;
    cursor: pointer;
    display: flex;
    font-family: 'Metal Mania', cursive;
    font-weight: 700;
    font-size: 16px;
    height: 48px;
    justify-content: center;
    line-height: 24px;
    max-width: 100%;
    padding: 0 25px;
    text-align: center;
    text-decoration: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    box-shadow: 10px 10px 0 rgba(0, 0, 0, 1);
    transition: all 0.3s ease-in-out;
}

.button-56:hover:after {
    transform: translate(0, 0);
}

.button-56:hover {
    outline: 0;
    box-shadow: none;
}

/* // | HEADER */

#header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgb(0, 0, 0);
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
    transform: translateY(-120%);
    transition: transform 0.3s ease-in-out;
    z-index: 1000;
}

#header.visible {
    transform: translateY(0);
    transition: transform 0.3s ease-in-out;
}

#header.visible::after {
    content: "";
    position: absolute;
    top: 38px;
    left: 0;
    width: 100%;
    height: 40px;
    background: url('../assets/svg/zigzag-blue-rotated.svg') repeat-x;
    background-size: contain;
    z-index: 1;
}

#header ul {
    list-style: none;
    display: flex;
    gap: 40px;
    margin: 0;
    padding: 0;
    align-items: center;
}

#header ul li {
    display: inline;
}

#header li a {
    color: white;
    text-decoration: none;
    font-size: 25px;
    font-family: 'Metal Mania', cursive;
    transition: color 0.3s;
}

#header nav ul li a:hover {
    color: #e7d000;
}

.header-logo {
    height: 40px;
    cursor: pointer;
}

.logo-link {
    display: flex;
    align-items: center;
    text-decoration: none;
    padding-left: 15px;
    position: relative;
}

.logo-link img {
    height: 50px;
    cursor: pointer;
    z-index: 1000;
    position: absolute;
    top: -12px;
}

#header .youtube-link,
#header .youtube-link-drawer {
    text-decoration: none;
    transition: color 0.3s;
    position: relative;
}

#header .youtube-link i,
#header .youtube-link-drawer i {
    position: absolute;
    right: 20px;
    z-index: 10000;
    font-size: 30px;
    top: -2px;
}

#youtube-link-drawer {
    display: none;
}



/* Hamburger button styles */
.hamburger {
    display: none;
    background: none;
    border: none;
    color: white;
    font-size: 24px;
    cursor: pointer;
    z-index: 2;
    padding-right: 10px;
    transform: translate(50%, -50%);
    transition: all 0.5s ease-in-out;
}

/* Drawer menu styles */
.drawer-navbar {
    position: fixed;
    top: -500%;
    right: 0;
    /* width: 40vw; */
    width: calc(100vw - 100px - 20px);
    background-color: rgba(0, 0, 0, .95);
    color: white;
    box-shadow: -8px 8px 20px rgba(0, 0, 0, 0.5);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 25px 50px;
    transition: 0.3s ease-in-out;
    z-index: 1000;
    margin: 10px 10px;

    /* coins diagonaux */
    -webkit-clip-path: polygon(9% 0, 90% 0, 100% 7px, 100% 95%, 100% 100%, 0% 100%, 0 100%, 0 8px);
    clip-path: polygon(9% 0, 90% 0, 100% 7px, 100% 95%, 100% 100%, 0% 100%, 0 100%, 0 8px);
    border-radius: 0;
    /* enlever arrondis */
    overflow: hidden;
    ;
}

.drawer-navbar.active {
    top: 52px !important;
}

.close-drawer {
    background: none;
    border: none;
    color: white;
    font-size: 24px;
    align-self: flex-end;
    cursor: pointer;
    margin-bottom: 20px;
    padding: 0;
    display: none;
    ;
}

/* // | FOOTER */

footer {
    background-color: black;
    color: white;
    text-align: center;
    padding: 50px 0;
    position: relative;
}

footer::before {
    content: "";
    position: absolute;
    top: -20px;
    left: 0;
    width: 100%;
    height: 40px;
    background: url('../assets/svg/zigzag-red-rotated.svg') repeat-x;
    background-size: contain;
    z-index: 1;
}

/* // | TEST */


.hero {
    background-image: url(../assets/images/thumbnail9.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

#hero-logo {
    transform: translate(0, 0);
    height: 300px;
    transition: all 0.5s ease-in-out;
    transition: height 0.1s ease-in-out;
}

#header-logo {
    transform: translate(-50%, -50%);
    transition: all 0.5s ease-in-out;
}

#youtube-link-navbar i {
    transform: translate(50%, -50%);
    transition: all 0.5s ease-in-out;
}

.logo-transition #hero-logo {
    transition: all 1s ease-in-out;
    transform: translate(-500%, -500%);
    height: 50px;
    z-index: 9;
    opacity: 1;
}

.logo-transition #header-logo {
    transform: translate(0, 0);
}

.logo-transition .hamburger {
    transform: translate(0, 0);
}

.logo-transition #youtube-link-navbar i {
    transform: translate(0, 0);
}

#scroll-btn {
    position: relative;
    height: 1em;
    width: 0.6em;
    border: 0.1em solid #ffffff;
    margin: auto;
    border-radius: 3em;
    display: block;
}

#scroll-btn:before {
    position: relative;
    content: "";
    margin: auto;
    left: 0;
    right: 0;
    top: 5px;
    height: 0.2em;
    width: 0.2em;
    background-color: #ffffff;
    border-radius: 50%;
    animation: move-down 2s infinite;
    display: block;
}

@keyframes move-down {
    80% {
        opacity: 0.5;
    }

    100% {
        transform: translateY(10px);
        opacity: 0;
    }
}

.parallax-text {
    position: relative;
    z-index: 2;
    transform: translateY(0);
    transition: transform 0.1s ease-out;
    will-change: transform;
    background: #29b2e4;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
}

.parallax-text::before,
.parallax-text::after {
    content: "";
    background: transparent;
}